PIO_READ_DOUBLE_NANTRAP(3)

FUNCTION
pio_read_double_nantrap - Read floating point data from a channel object, trapping NaNs.

SYNOPSIS
#include <karma_pio.h>

flag pio_read_double_nantrap

(Channel channel, double *data, flag *was_nan)

DESCRIPTION
This routine will read a double precision floating point number from a channel object and will trap IEEE Not-A-Number (NaN) values.

channel
    The channel object.

data
    The data will be written here. This will be written in host natural format. The data will be converted from IEEE network format prior to writing.

was_nan
    The value TRUE will be written here if the value was NaN, else FALSE is written here.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/